    import FieldAutoPopulateService from 'pvbid-sdk/src/domain/services/FieldAutoPopulateService.js'

public class | source

# FieldAutoPopulateService

## Constructor Summary

Public Constructor
public | constructor(field: Field) Creates an instance of FieldAutoPopulateService. |

## Method Summary

Public Methods
public | autoPopulate() Auto populates the field value based on its configuration. |
public | shouldAutoPopulate(): * Determines if field should auto populate. |

## Public Constructors

### public constructor(field: Field) source

Creates an instance of FieldAutoPopulateService.

#### Params:

Name | Type | Attribute | Description
field | Field |  |

## Public Methods

### public autoPopulate() source

Auto populates the field value based on its configuration.

### public shouldAutoPopulate(): * source

Determines if field should auto populate.

#### Return:

*